com.ihr.xbrl.om.table.definition

## Class NonXDTScenarioRuleSet

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.Vector<ContextComponentRuleInterface>
      - - com.ihr.xbrl.om.table.definition.OpenContextComponentRuleSet
        - - com.ihr.xbrl.om.table.definition.NonXDTScenarioRuleSet

- All Implemented Interfaces:
    ScenarioAspectInterface, Aspect<OCCAspectData>, java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<ContextComponentRuleInterface>, java.util.Collection<ContextComponentRuleInterface>, java.util.List<ContextComponentRuleInterface>, java.util.RandomAccess

      public class NonXDTScenarioRuleSet
      extends OpenContextComponentRuleSet
      implements ScenarioAspectInterface

  The Class NonXDTScenarioRuleSet.
  Author:
    Ignacio
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NonXDTScenarioRuleSet()` Instantiates a new non xdt scenario rule set.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getAspectClashIdentity()` Returns an object that can be used to evaluate aspect clash.
    `int` | `getAspectType()` Returns a value from the CommonAspectRule class that identifies the aspect type.
    `OCCAspectData` | `getMember(XBRLStructuralTable table, CellHeader[] header)` Convert this aspect into a proper Member
    `net.sf.saxon.s9api.XdmValue` | `getScenario(XBRLStructuralTable xbrlTable)` Gets the scenario.

    - ### Methods inherited from class com.ihr.xbrl.om.table.definition.OpenContextComponentRuleSet

      `addRule, getNodes, resetNode`

    - ### Methods inherited from class java.util.Vector

      `add, add, addAll, addAll, addElement, capacity, clear, clone, contains, containsAll, copyInto, elementAt, elements, ensureCapacity, equals, firstElement, get, hashCode, indexOf, indexOf, insertElementAt, isEmpty, iterator, lastElement, lastIndexOf, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeAllElements, removeElement, removeElementAt, retainAll, set, setElementAt, setSize, size, subList, toArray, toArray, toString, trimToSize`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NonXDTScenarioRuleSet

          public NonXDTScenarioRuleSet()
                                throws XTValidationException

      Instantiates a new non xdt scenario rule set.
      Throws:
        `XTValidationException` - the XT validation exception

  - ### Method Detail

    - #### getScenario

          public net.sf.saxon.s9api.XdmValue getScenario(XBRLStructuralTable xbrlTable)
                                                  throws XFValidationException

      Description copied from interface: `ScenarioAspectInterface`
      Gets the scenario.
      Specified by:
        `getScenario` in interface `ScenarioAspectInterface`
      Parameters:
        `xbrlTable` - the xbrl table
      Returns:
        the scenario
      Throws:
        `XFValidationException` - the XF validation exception

    - #### getAspectClashIdentity

          public java.lang.Object getAspectClashIdentity()

      Description copied from interface: `Aspect`
      Returns an object that can be used to evaluate aspect clash.
      Specified by:
        `getAspectClashIdentity` in interface `Aspect<OCCAspectData>`
      Returns:
        the aspect clash identity

    - #### getAspectType

          public int getAspectType()

      Description copied from interface: `Aspect`
      Returns a value from the CommonAspectRule class that identifies the aspect type.
      Specified by:
        `getAspectType` in interface `Aspect<OCCAspectData>`
      Returns:
        the aspect type

    - #### getMember

          public OCCAspectData getMember(XBRLStructuralTable table,
                                CellHeader[] header)

      Description copied from interface: `Aspect`
      Convert this aspect into a proper Member depending on the aspect type. Member can be used later to search for facts that satisfy the set of members
      Specified by:
        `getMember` in interface `Aspect<OCCAspectData>`
      Parameters:
        `table` - the table
        `header` - the header
      Returns:
        the member